if(!dojo._hasResource["com.ibm.mm.builder.DeferredImpl"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.DeferredImpl"] = true;
dojo.provide("com.ibm.mm.builder.DeferredImpl");

// base
dojo.declare("com.ibm.mm.builder.DeferredImpl", [com.ibm.mashups.enabler.Deferred], {
    // If you mixin the DeferredImpl into your class, you may use a different 
    // set of parameters for the constructor, but then you do not have access
    // to the parameters 'context', 'startfn', as well as 'params' and thus, 
    // you need to overwrite the start function, which accesses those parameters.
    // If you want to use the start function defined in DeferredImpl, you need 
    // to make sure, the parameters 'context', 'startfn', as well as 'params' 
    // are set in the constructor of DeferredImpl.     
    constructor: function(context, startfn, params){
        // context for start function
        this.context = context;
        
        // start function
        this.startfn = startfn;
        
        // parameters to pass to start function
        this.params = params;
    },
    
    setFinishedCallback: function(callback, parameters){
        this.finishedCallback2 = callback;
        this.finishedCallbackParameters2 = parameters;
        return this;
    },
    
    start: function(sync){
        var mode = (sync || typeof(sync) == 'undefined') ? true : false;
        return dojo.hitch(this.context, this.startfn)(this, mode, this.params);
    },
    
    getFinishedCallback: function(){
        return this.finishedCallback2;
    },
    
    getFinishedCallbackParameters: function(){
        return this.finishedCallbackParameters2;
    }
    
});

}
