if(!dojo._hasResource["com.ibm.mm.builder.dnd.QuickWireHelper"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.dnd.QuickWireHelper"] = true;
dojo.provide("com.ibm.mm.builder.dnd.QuickWireHelper");

dojo.require("com.ibm.mm.builder.dnd.QuickWireTarget");

dojo.declare("com.ibm.mm.builder.dnd.QuickWireHelper", null, {
	
	quickWireHandlers: {},
	
	quickWireHandlerHeight: 34,
	
	createQuickWireTarget: function(nodeId) {
		var lcDiv = com.ibm.pb.layout.LayoutParser.findById(nodeId);
		var handler = dojo.query(".decoration-titlebar", lcDiv)[0];
		var coords = dojo.coords(handler);
		var div = dojo.create("div", {zIndex: 999, title: nodeId});
		
		var left = coords.x + (window.scrollX || document.documentElement.scrollLeft);
		var top = coords.y + (window.scrollY || document.documentElement.scrollTop);
		div.style.cssText = "position: absolute; "
						+ "height: " + coords.h + "px; "
						+ "width: " + coords.w + "px; "
						+ "left: " + left + "px; "
						+ "top: " + top + "px;"
		//div.style.backgroundColor = "blue";
		dojo.body().appendChild(div);
		var target = new com.ibm.mm.builder.dnd.QuickWireTarget(div);
		
		this.quickWireHandlers[nodeId] = target;
	},
	
	destroyQuickWireTarget: function(nodeId) {
		var target = this.quickWireHandlers[nodeId];
		if(target) {
			var div = target.node;
			dojo.body().removeChild(div);
			delete target;
			this.quickWireHandlers[nodeId] = null;
		}
	},
	
	destroyAllQuickWireTarget: function() {
		for(var id in this.quickWireHandlers) {
			this.destroyQuickWireTarget(id);
		}
	}
});

}
