if(!dojo._hasResource["com.ibm.mm.catalog.opensearch.ResultModel"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.catalog.opensearch.ResultModel"] = true;
dojo.provide("com.ibm.mm.catalog.opensearch.ResultModel");

/**
 * ResultModel is used to represent the open search result.
 * @param {Object} results
 * @param {Boolean} hasMoreResults
 */
dojo.declare("com.ibm.mm.catalog.opensearch.ResultModel", null,
  {
    constructor : function(/* Object */ results, /* Object */ hasMoreResults, /* Nubmer */ totalResult) {
      var r = results || [];
	  var hmr = !!hasMoreResults;
	  totalResult = totalResult || -1;
	  
	  /**
	   * Return whether there exists more result items.
	   * @return {Boolean} 
	   */
	  this.hasMoreResults = function() {
	  	return hmr;
	  };
	  
	  /**
	   * Return result items of current page.
	   * @return {Object} A array of result items, each item is a JSON object that contains properties of the result item,
	   * including name, description, tags, rating, author and updated time.
	   */
	  this.getResults = function() {
	  	return r;
	  };
	  /**
	   * 
	   */
	  this.getTotalResult = function() {
	  	return totalResult;
	  };
	}
  }
);


}
