# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2008. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

import sys

maintainPropFile = sys.argv[0]

#----------------------------------------------------------------
#Read in the property file
#----------------------------------------------------------------
fileIN = open(maintainPropFile, "r")
line = fileIN.readline()
line = line.strip()

while line:
	dsIDList = AdminJDBC.listDataSources(line)
	if len(dsIDList) != 0:
		dsID = dsIDList[0]
		name = AdminConfig.showAttribute(dsID, 'name') + 'TEMP'
		jndiName = AdminConfig.showAttribute(dsID, 'jndiName') + 'TEMP'
		# change the name
		AdminConfig.modify(dsID, [['name', name]])
		AdminConfig.modify(dsID, [['jndiName', jndiName]])
	line = fileIN.readline()
	
AdminConfig.save()
print "Data Source renaming successful.  Returning to the migration.\n"