/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.remote.RemoteFile");

dojo.require("com.ibm.mashups.enabler.MetaData");
dojo.require("com.ibm.mashups.enabler.Identifiable");

//<INTERFACE>
/**
 * Interface for a remote File.
 * @ibm-api
 * @ibm-module RemoteModel
 */
dojo.declare("com.ibm.mashups.enabler.remote.RemoteFile", [com.ibm.mashups.enabler.MetaData, com.ibm.mashups.enabler.Identifiable], {
    /**
     * Returns the name of this File
     * @return {String} The name
     */
    getName: function(){
    },
    
    /**
     * Returns true if this is a directory otherwise returns false.
     * @return {boolean} True if this is a directory
     */
    isDirectory: function(){
    },
    
    /**
     * Returns the absolute URL of this file.
     * @return {String} The URL
     * @deprecated Use getURL instead.
     */
    getUrl: function(){
    },
    
    /**
     * Returns the absolute URL of this file.
     * @return {String} The URL
     */
    getURL: function(){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.remote.RemoteFileImpl");
